Update Invoice
curl --request PUT \
--url https://{host}/cleemy-procurement/api/invoices/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"dueDate": "2023-12-25",
"paymentDate": "2023-12-25",
"paymentDetails": {
"bankAccount": {
"iban": "<string>",
"bic": "<string>"
}
},
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"accountingLabel": "<string>",
"comment": "<string>",
"intraCommunityTaxes": true
}
'import requests
url = "https://{host}/cleemy-procurement/api/invoices/{id}"
payload = {
"dueDate": "2023-12-25",
"paymentDate": "2023-12-25",
"paymentDetails": { "bankAccount": {
"iban": "<string>",
"bic": "<string>"
} },
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"accountingLabel": "<string>",
"comment": "<string>",
"intraCommunityTaxes": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dueDate: '2023-12-25',
paymentDate: '2023-12-25',
paymentDetails: {bankAccount: {iban: '<string>', bic: '<string>'}},
documentDate: '2023-12-25',
documentNumber: '<string>',
accountingLabel: '<string>',
comment: '<string>',
intraCommunityTaxes: true
})
};
fetch('https://{host}/cleemy-procurement/api/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"type": "Invoice",
"purchase": {
"id": 123,
"href": "<string>",
"name": "<string>",
"type": "Subscription"
},
"expectedAmount": {
"base": {
"value": 123,
"currency": "Invalid"
},
"counter": {
"value": 123,
"currency": "Invalid"
},
"rate": 123
},
"costAmount": {
"base": {
"value": 123,
"currency": "Invalid"
},
"counter": {
"value": 123,
"currency": "Invalid"
},
"rate": 123
},
"context": {
"purchase": {
"id": 123,
"href": "<string>",
"name": "<string>",
"type": "Subscription"
},
"expectedDocumentId": 2,
"originalAmount": {
"value": 123,
"currency": "Invalid"
},
"data": {}
},
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"amountIncludingTaxes": {
"base": {
"excludingTaxes": {
"value": 123,
"currency": "Invalid"
},
"taxes": [
{
"rateTypeId": 123,
"value": 123,
"currency": "Invalid"
}
],
"includingTaxes": {
"value": 123,
"currency": "Invalid"
}
},
"counter": {
"excludingTaxes": {
"value": 123,
"currency": "Invalid"
},
"taxes": [
{
"rateTypeId": 123,
"value": 123,
"currency": "Invalid"
}
],
"includingTaxes": {
"value": 123,
"currency": "Invalid"
}
},
"rate": 123
},
"documentBreakdown": {
"id": 2,
"href": "<string>",
"name": "<string>"
},
"attachments": [
{
"id": 123,
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"name": "<string>",
"displayHref": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"pages": {
"displayHrefTemplate": "<string>",
"count": 123
}
}
],
"dueDate": "2023-12-25",
"paymentDetails": {
"paymentMethod": "BankTransfer",
"bankAccount": {
"iban": "<string>",
"bic": "<string>"
}
},
"conformityState": "ToReview",
"paymentState": "None",
"paymentDate": "2023-12-25",
"completion": "ToReview",
"flag": "Unflagged",
"accountingLabel": "<string>",
"comment": "<string>",
"commentsCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"author": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
},
"modifiedAt": "2023-11-07T05:31:56Z",
"modifier": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
}
}Invoices
Update Invoice
Update an invoice.
PUT
/
cleemy-procurement
/
api
/
invoices
/
{id}
Update Invoice
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
ID of the invoice.
Body
application/json
Invoice fields to update.
Response
200 - application/json
OK
Allowed value:
"Invoice"Reference to a purchase.
Show child attributes
Show child attributes
Represents an amount of money in two different currencies.
Show child attributes
Show child attributes
Represents an amount of money in two different currencies.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Represents an amount of money with VAT taxes in two different currencies.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required array length:
1 - 3 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ToReview, PendingBreakdown, Confirmed, Litigation, Discarded, Removed, Bypassed Available options:
None, ToPay, UnderReview, Emitting, Paid, OnHold, Rejected, Cancelled Available options:
ToReview, Partial, Disputed, Complete Available options:
Unflagged, Flagged Required range:
x >= 0Reference to a user.
Show child attributes
Show child attributes
Reference to a user.
Show child attributes
Show child attributes
Was this page helpful?